UPDATE magicRun 
    JOIN magicDSRun USING(magic_id)
    JOIN magicDSFile USING(magic_ds_id)
    JOIN camRun ON magic_ds_id = magicked
SET camRun.magicked = 0,
    magicDSRun.state = 'censored',
    magicDSFile.fault = 42

